%global origversion 34.25.3.7-2
%global pkgversion %(echo "%{origversion}" | tr '-' '_')

Name:           anaconda-liveinst
Version:        %{pkgversion}
Release:        2%{?dist}
Summary:        Live installation specific files for Anaconda installer

License:        GPL-2.0-or-later
URL:            https://pagure.io/centos-sig-alt-images/anaconda-liveinst
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  desktop-file-utils
Requires:       anaconda-gui
Requires:       usermode
Requires:       zenity

# While RHEL does not provide this package, we want to conflict
# with any installer package rebuilds that ship it
Conflicts:      anaconda-live

%description
Anaconda is the OS installer used by many RPM-based Linux distributions.
This package contains scripts, data and dependencies required for live installations.

%prep
%autosetup


%build
# Nothing to do


%install
mkdir -p %{buildroot}
cp -av usr etc %{buildroot}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/*.desktop


%files
%license COPYING
%doc README.md
%{_bindir}/liveinst
%{_sbindir}/liveinst
%config(noreplace) %{_sysconfdir}/pam.d/*
%config(noreplace) %{_sysconfdir}/security/console.apps/*
%{_libexecdir}/liveinst-setup.sh
%{_datadir}/applications/*.desktop
%{_sysconfdir}/xdg/autostart/*.desktop


%changelog
* Fri Oct 13 2023 Neal Gompa <ngompa@fedoraproject.org> - 34.25.3.7_2-2
- Drop minimum version from anaconda-gui dependency

* Fri Oct 13 2023 Neal Gompa <ngompa@centosproject.org> - 34.25.3.7_2-1
- Initial package based on anaconda-live-34.25.3.7-2.el9


